CM_PROTO_TERM_FUNC(3)

PROTO_FUNC
cm_PROTO_term_func - This routine is called when a child process is killed.

SYNOPSIS
#include <karma_cm.h>

void cm_PROTO_term_func

(int pid, int sig, struct rusage *rusage)

DESCRIPTION
This routine is called when a child process is killed.

pid The process ID.

sig The signal which killed the process.

rusage
    The resource usage information. If this is NULL, the platform does not support this.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/